import BigNumber from 'bignumber.js';
import { FieldFormat, FieldTrim } from '../data-set/enum';
export interface FormatOptions {
    trim?: FieldTrim;
    format?: FieldFormat | string;
}
export declare function trimString(value: string, fieldTrim?: FieldTrim): string;
export declare function transformString(value: string, format?: FieldFormat | string): string;
export declare function formatString(value: any, { trim, format }: FormatOptions): any;
export declare function formatCurrency(value: BigNumber.Value, lang: string | undefined, options?: Intl.NumberFormatOptions): string;
export declare function formatNumber(value: BigNumber.Value, lang: string | undefined, options?: Intl.NumberFormatOptions): string;
export declare function formatTemplate(string: string, args: object | any[], lazy?: boolean): string;
export declare function formatFileSize(size: number, unitIndex?: number): any;
